## c-ares 1.25.0

=== CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
CMAKE_MINIMUM_REQUIRED (VERSION 3.5.0)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/")

INCLUDE (CheckIncludeFiles)
INCLUDE (CheckTypeSize)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)
INCLUDE (CheckCSourceCompiles)
INCLUDE (CheckStructHasMember)
INCLUDE (CheckLibraryExists)

PROJECT (c-ares LANGUAGES C VERSION "1.25.0" )

# Set this version before release
SET (CARES_VERSION "1.25.0")

INCLUDE (GNUInstallDirs) # include this *AFTER* PROJECT(), otherwise paths are wrong.

# This is for libtool compatibility, and specified in a form that is easily
# translatable from libtool (even if the actual form doesn't make sense).
# For instance, in an autotools project, in Makefile.am there is a line that
# contains something like:
#     -version-info 4:0:2
# This breaks down into sections of current:revision:age
# This then generates a version of  "(current-age).age.revision"  with an
# interface version of "(current-age)"
# For example, a version of 4:0:2 would generate output such as:
#    libname.so   -> libname.so.2
#    libname.so.2 -> libname.so.2.2.0
SET (CARES_LIB_VERSIONINFO "12:1:10")


OPTION (CARES_STATIC        "Build as a static library"                                             OFF)
OPTION (CARES_SHARED        "Build as a shared library"                                             ON)
OPTION (CARES_INSTALL       "Create installation targets (chain builders may want to disable this)" ON)
OPTION (CARES_STATIC_PIC    "Build the static library as PIC (position independent)"                OFF)
OPTION (CARES_BUILD_TESTS   "Build and run tests"                                                   OFF)
OPTION (CARES_BUILD_CONTAINER_TESTS "Build and run container tests (implies CARES_BUILD_TESTS, Linux only)" OFF)
OPTION (CARES_BUILD_TOOLS   "Build tools"                                                           ON)
OPTION (CARES_SYMBOL_HIDING "Hide private symbols in shared libraries"                              OFF)
OPTION (CARES_THREADS       "Build with thread-safety support"                                      ON)
SET    (CARES_RANDOM_FILE "/dev/urandom" CACHE STRING "Suitable File / Device Path for entropy, such as /dev/urandom")


# Tests require a C++14 compiler
IF (CARES_BUILD_TESTS OR CARES_BUILD_CONTAINER_TESTS)
	set(CMAKE_CXX_STANDARD 14)
	set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
	set(CMAKE_CXX_EXTENSIONS FALSE)
	enable_language(CXX)
ENDIF ()

# Tests require static to be enabled on Windows to be able to access otherwise hidden symbols
IF ((CARES_BUILD_TESTS OR CARES_BUILD_CONTAINER_TESTS) AND (NOT CARES_STATIC) AND WIN32)
	SET (CARES_STATIC ON)
	SET (CARES_STATIC_PIC ON)
	MESSAGE (WARNING "Static building was requested be disabled, but re-enabled to support tests")
ENDIF ()

INCLUDE (EnableWarnings)

# allow linking against the static runtime library in msvc
IF (MSVC)
	OPTION (CARES_MSVC_STATIC_RUNTIME "Link against the static runtime library" OFF)
	IF (CARES_MSVC_STATIC_RUNTIME)
		# CMAKE_CONFIGURATION_TYPES is empty on non-IDE generators (Ninja, NMake)
		# and that's why we also use CMAKE_BUILD_TYPE to cover for those generators.
		# For IDE generators, CMAKE_BUILD_TYPE is usually empty
		FOREACH (config_type ${CMAKE_CONFIGURATION_TYPES} ${CMAKE_BUILD_TYPE})
			STRING (TOUPPER ${config_type} upper_config_type)
			SET (flag_var "CMAKE_C_FLAGS_${upper_config_type}")
			IF (${flag_var} MATCHES "/MD")
				STRING (REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
			ENDIF ()
		ENDFOREACH ()

		# clean up
		SET (upper_config_type)
		SET (config_type)
		SET (flag_var)
	ENDIF ()
ENDIF ()

IF (CARES_SYMBOL_HIDING)
	IF (CMAKE_VERSION VERSION_LESS 3.12)
		MESSAGE (FATAL_ERROR "Hiding symbols requires CMake 3.12")
	ENDIF ()
	CMAKE_POLICY (SET CMP0063 NEW)
ENDIF ()

# Keep build organized.
SET (CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
SET (CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
SET (CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
SET (PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package)

# Destinations for installing different kinds of targets (pass to install command).
SET (TARGETS_INST_DEST
	RUNTIME DESTINATION  ${CMAKE_INSTALL_BINDIR}
	BUNDLE DESTINATION   ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION  ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION  ${CMAKE_INSTALL_LIBDIR}
)

# Function in Library
# CHECK_LIBRARY_EXISTS can't be used as it will return true if the function
# is found in a different required/dependent library.
MACRO (CARES_FUNCTION_IN_LIBRARY func lib var)

	SET (_ORIG_CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES}")
	SET (CMAKE_REQUIRED_LIBRARIES )
	CHECK_FUNCTION_EXISTS ("${func}" "_CARES_FUNC_IN_LIB_GLOBAL_${func}")
	SET (CMAKE_REQUIRED_LIBRARIES "${_ORIG_CMAKE_REQUIRED_LIBRARIES}")

	IF ("${_CARES_FUNC_IN_LIB_GLOBAL_${func}}")
		SET (${var} FALSE)
	ELSE ()
		CHECK_LIBRARY_EXISTS ("${lib}" "${func}" "" ${var})
	ENDIF ()
ENDMACRO ()

# Look for dependent/required libraries
CARES_FUNCTION_IN_LIBRARY (res_servicename resolv HAVE_RES_SERVICENAME_IN_LIBRESOLV)
IF (HAVE_RES_SERVICENAME_IN_LIBRESOLV)
	SET (HAVE_LIBRESOLV 1)
ENDIF ()

IF (APPLE)
	CHECK_C_SOURCE_COMPILES ("
	#include <stdio.h>
	#include <TargetConditionals.h>
	int main() {
#if TARGET_OS_IPHONE == 0
#error Not an iPhone target
#endif
return 0;
	}
	"
	IOS)

	CHECK_C_SOURCE_COMPILES ("
#include <stdio.h>
#include <TargetConditionals.h>
	int main() {
#if TARGET_OS_IPHONE == 0 || __IPHONE_OS_VERSION_MIN_REQUIRED < 100000
#  error Not iOS v10
#endif
return 0;
	}
	"
	IOS_V10)

	CHECK_C_SOURCE_COMPILES ("
#include <stdio.h>
#include <AvailabilityMacros.h>
#ifndef MAC_OS_X_VERSION_10_12
#  define MAC_OS_X_VERSION_10_12 101200
#endif
	int main() {
#if MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_12
#  error Not MacOSX 10.12 or higher
#endif
return 0;
	}
	"
	MACOS_V1012)
ENDIF ()

IF ((IOS OR APPLE OR ZOS) AND HAVE_LIBRESOLV)
	SET (CARES_USE_LIBRESOLV 1)
ENDIF()


CARES_FUNCTION_IN_LIBRARY (gethostbyname nsl HAVE_LIBNSL)
CARES_FUNCTION_IN_LIBRARY (gethostbyname socket HAVE_GHBN_LIBSOCKET)
CARES_FUNCTION_IN_LIBRARY (gethostbyname network HAVE_LIBNETWORK)
CARES_FUNCTION_IN_LIBRARY (socket socket HAVE_SOCKET_LIBSOCKET)
IF (HAVE_GHBN_LIBSOCKET OR HAVE_SOCKET_LIBSOCKET)
	SET(HAVE_LIBSOCKET TRUE)
ENDIF ()
CARES_FUNCTION_IN_LIBRARY (socket network HAVE_LIBNETWORK)
CARES_FUNCTION_IN_LIBRARY (clock_gettime rt HAVE_LIBRT)


# Look for necessary includes
CHECK_INCLUDE_FILES (sys/types.h           HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES (sys/random.h          HAVE_SYS_RANDOM_H)
CHECK_INCLUDE_FILES (sys/socket.h          HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES (sys/sockio.h          HAVE_SYS_SOCKIO_H)
CHECK_INCLUDE_FILES (arpa/inet.h           HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES (arpa/nameser_compat.h HAVE_ARPA_NAMESER_COMPAT_H)
CHECK_INCLUDE_FILES (arpa/nameser.h        HAVE_ARPA_NAMESER_H)
CHECK_INCLUDE_FILES (assert.h              HAVE_ASSERT_H)
CHECK_INCLUDE_FILES (errno.h               HAVE_ERRNO_H)
CHECK_INCLUDE_FILES (fcntl.h               HAVE_FCNTL_H)
CHECK_INCLUDE_FILES (inttypes.h            HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES (limits.h              HAVE_LIMITS_H)
CHECK_INCLUDE_FILES (malloc.h              HAVE_MALLOC_H)
CHECK_INCLUDE_FILES (memory.h              HAVE_MEMORY_H)
CHECK_INCLUDE_FILES (netdb.h               HAVE_NETDB_H)
CHECK_INCLUDE_FILES (netinet/in.h          HAVE_NETINET_IN_H)
# On old MacOS SDK versions, you must include sys/socket.h before net/if.h
IF (HAVE_SYS_SOCKET_H)
  CHECK_INCLUDE_FILES ("sys/socket.h;net/if.h"  HAVE_NET_IF_H)
ELSE ()
  CHECK_INCLUDE_FILES (net/if.h                 HAVE_NET_IF_H)
ENDIF ()
CHECK_INCLUDE_FILES (signal.h              HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES (socket.h              HAVE_SOCKET_H)
CHECK_INCLUDE_FILES (stdbool.h             HAVE_STDBOOL_H)
CHECK_INCLUDE_FILES (stdint.h              HAVE_STDINT_H)
CHECK_INCLUDE_FILES (stdlib.h              HAVE_STDLIB_H)
CHECK_INCLUDE_FILES (strings.h             HAVE_STRINGS_H)
CHECK_INCLUDE_FILES (string.h              HAVE_STRING_H)
CHECK_INCLUDE_FILES (stropts.h             HAVE_STROPTS_H)
CHECK_INCLUDE_FILES (sys/ioctl.h           HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES (sys/param.h           HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES (sys/select.h          HAVE_SYS_SELECT_H)
CHECK_INCLUDE_FILES (sys/stat.h            HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES (sys/time.h            HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES (sys/uio.h             HAVE_SYS_UIO_H)
CHECK_INCLUDE_FILES (sys/random.h          HAVE_SYS_RANDOM_H)
CHECK_INCLUDE_FILES (ifaddrs.h             HAVE_IFADDRS_H)
CHECK_INCLUDE_FILES (time.h                HAVE_TIME_H)
CHECK_INCLUDE_FILES (dlfcn.h               HAVE_DLFCN_H)
CHECK_INCLUDE_FILES (unistd.h              HAVE_UNISTD_H)
# On OpenBSD, you must include sys/types.h before netinet/tcp.h
IF (HAVE_SYS_TYPES_H)
  CHECK_INCLUDE_FILES ("sys/types.h;netinet/tcp.h"         HAVE_NETINET_TCP_H)
ELSE ()
  CHECK_INCLUDE_FILES (netinet/tcp.h                       HAVE_NETINET_TCP_H)
ENDIF ()

# Include order matters for these windows files.
# As cygwin environment has both socket.h and winsock2.h
# headers check WIN32 not to include the later one here
IF (WIN32)
CHECK_INCLUDE_FILES ("winsock2.h;windows.h"            HAVE_WINSOCK2_H)
CHECK_INCLUDE_FILES ("winsock2.h;ws2tcpip.h;windows.h" HAVE_WS2TCPIP_H)
CHECK_INCLUDE_FILES ("winsock2.h;iphlpapi.h;windows.h" HAVE_IPHLPAPI_H)
CHECK_INCLUDE_FILES ("winsock2.h;netioapi.h;windows.h" HAVE_NETIOAPI_H)
CHECK_INCLUDE_FILES ("winsock.h;windows.h"             HAVE_WINSOCK_H)
CHECK_INCLUDE_FILES (windows.h                         HAVE_WINDOWS_H)
ENDIF ()

# Set system-specific compiler flags
IF (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
	LIST (APPEND SYSFLAGS -D_DARWIN_C_SOURCE)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Linux")
	LIST (APPEND SYSFLAGS -D_GNU_SOURCE -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "SunOS")
	LIST (APPEND SYSFLAGS -D__EXTENSIONS__ -D_REENTRANT -D_XOPEN_SOURCE=700)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "AIX")
	LIST (APPEND SYSFLAGS -D_ALL_SOURCE -D_XOPEN_SOURCE=700 -D_USE_IRS)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
	# Don't define _XOPEN_SOURCE on FreeBSD, it actually reduces visibility instead of increasing it
ELSEIF (WIN32)
	LIST (APPEND SYSFLAGS -DWIN32_LEAN_AND_MEAN -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_WIN32_WINNT=0x0602)
ENDIF ()
ADD_DEFINITIONS(${SYSFLAGS})



# Tell C-Ares about libraries to depend on
IF (HAVE_LIBRESOLV)
	LIST (APPEND CARES_DEPENDENT_LIBS resolv)
ENDIF ()
IF (HAVE_LIBNSL)
	LIST (APPEND CARES_DEPENDENT_LIBS nsl)
ENDIF ()
IF (HAVE_LIBSOCKET)
	LIST (APPEND CARES_DEPENDENT_LIBS socket)
ENDIF ()
IF (HAVE_LIBNETWORK)
	LIST (APPEND CARES_DEPENDENT_LIBS network)
ENDIF ()
IF (HAVE_LIBRT)
	LIST (APPEND CARES_DEPENDENT_LIBS rt)
ENDIF ()
IF (WIN32)
	LIST (APPEND CARES_DEPENDENT_LIBS ws2_32 advapi32 iphlpapi)
ENDIF ()


# When checking for symbols, we need to make sure we set the proper
# headers, libraries, and definitions for the detection to work properly
# CMAKE_REQUIRED_DEFINITIONS, CMAKE_REQUIRED_LIBRARIES, and
# CMAKE_EXTRA_INCLUDE_FILES.  When we're done with the detection, we'll
# unset them.

SET (CMAKE_REQUIRED_DEFINITIONS ${SYSFLAGS})
LIST (APPEND CMAKE_REQUIRED_LIBRARIES ${CARES_DEPENDENT_LIBS})

MACRO (CARES_EXTRAINCLUDE_IFSET var include)
	IF (${var})
		LIST (APPEND CMAKE_EXTRA_INCLUDE_FILES ${include})
	ENDIF ()
ENDMACRO ()

CARES_EXTRAINCLUDE_IFSET (HAVE_STDBOOL_H      stdbool.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_TYPES_H    sys/types.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_ARPA_INET_H    arpa/inet.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_ARPA_NAMESER_H arpa/nameser.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NETDB_H        netdb.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NET_IF_H       net/if.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_IFADDRS_H      ifaddrs.h)

=== test/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT

# Get rid of: warning C4530: C++ exception handler used, but unwind semantics are not enabled. Specify /EHsc
IF (MSVC)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc")
ENDIF ()

find_package(Threads)
find_package(GTest REQUIRED)

# create target to access and use internal cares library
add_library(caresinternal INTERFACE)
target_compile_definitions(caresinternal INTERFACE HAVE_CONFIG_H=1)

target_include_directories(caresinternal
   INTERFACE "${PROJECT_BINARY_DIR}"
             "${PROJECT_BINARY_DIR}/src/lib"
             "${PROJECT_SOURCE_DIR}"
             "${PROJECT_SOURCE_DIR}/src/lib"
             "${CARES_TOPLEVEL_DIR}/include"
             "${CMAKE_INSTALL_INCLUDEDIR}"
)

IF (CARES_STATIC)
  target_link_libraries(caresinternal INTERFACE ${PROJECT_NAME}::cares_static)
ELSE ()
  target_link_libraries(caresinternal INTERFACE ${PROJECT_NAME}::cares)
ENDIF ()

transform_makefile_inc("Makefile.inc" "${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake")
include(${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake)

add_executable(arestest ${TESTSOURCES} ${TESTHEADERS})
target_include_directories(arestest PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(arestest PRIVATE caresinternal GTest::gmock)

IF (CARES_BUILD_CONTAINER_TESTS)
  target_compile_definitions(arestest PRIVATE HAVE_USER_NAMESPACE HAVE_UTS_NAMESPACE)
ENDIF ()

add_executable(aresfuzz ${FUZZSOURCES})
target_link_libraries(aresfuzz PRIVATE caresinternal)

add_executable(aresfuzzname ${FUZZNAMESOURCES})
target_link_libraries(aresfuzzname PRIVATE caresinternal)

add_executable(dnsdump ${DUMPSOURCES})
target_link_libraries(dnsdump PRIVATE caresinternal)

# register tests

add_test(NAME arestest COMMAND $<TARGET_FILE:arestest>)

file(GLOB_RECURSE FUZZINPUT_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/fuzzinput" "fuzzinput/*")
add_test(
  NAME aresfuzz
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/fuzzinput"
  COMMAND $<TARGET_FILE:aresfuzz> ${FUZZINPUT_FILES}
)

file(GLOB_RECURSE FUZZNAMES_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/fuzznames" "fuzznames/*")
add_test(
  NAME aresfuzzname
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/fuzznames"
  COMMAND $<TARGET_FILE:aresfuzzname> ${FUZZNAMES_FILES}
)

=== src/lib/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT

# Transform Makefile.inc
transform_makefile_inc("Makefile.inc" "${PROJECT_BINARY_DIR}/src/lib/Makefile.inc.cmake")
include(${PROJECT_BINARY_DIR}/src/lib/Makefile.inc.cmake)

# Write ares_config.h configuration file.  This is used only for the build.
CONFIGURE_FILE (ares_config.h.cmake ${PROJECT_BINARY_DIR}/ares_config.h)

# Build the dynamic/shared library
IF (CARES_SHARED)
	ADD_LIBRARY (${PROJECT_NAME} SHARED ${CSOURCES})

	# Include resource file in windows builds for versioned DLLs
	IF (WIN32)
		TARGET_SOURCES (${PROJECT_NAME} PRIVATE cares.rc)
	ENDIF()

	# Convert CARES_LIB_VERSIONINFO libtool version format into VERSION and SOVERSION
	# Convert from ":" separated into CMake list format using ";"
	STRING (REPLACE ":" ";" CARES_LIB_VERSIONINFO ${CARES_LIB_VERSIONINFO})
	LIST (GET CARES_LIB_VERSIONINFO 0 CARES_LIB_VERSION_CURRENT)
	LIST (GET CARES_LIB_VERSIONINFO 1 CARES_LIB_VERSION_REVISION)
	LIST (GET CARES_LIB_VERSIONINFO 2 CARES_LIB_VERSION_AGE)
	MATH (EXPR CARES_LIB_VERSION_MAJOR "${CARES_LIB_VERSION_CURRENT} - ${CARES_LIB_VERSION_AGE}")
	SET  (CARES_LIB_VERSION_MINOR "${CARES_LIB_VERSION_AGE}")
	SET  (CARES_LIB_VERSION_RELEASE "${CARES_LIB_VERSION_REVISION}")

	SET_TARGET_PROPERTIES (${PROJECT_NAME} PROPERTIES
		EXPORT_NAME                  cares
		OUTPUT_NAME                  cares
		COMPILE_PDB_NAME             cares
		COMPILE_PDB_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
		SOVERSION                    ${CARES_LIB_VERSION_MAJOR}
		VERSION                      "${CARES_LIB_VERSION_MAJOR}.${CARES_LIB_VERSION_MINOR}.${CARES_LIB_VERSION_RELEASE}"
		C_STANDARD                   90
	)

	IF (CARES_SYMBOL_HIDING)
		SET_TARGET_PROPERTIES (${PROJECT_NAME} PROPERTIES
			C_VISIBILITY_PRESET hidden
			VISIBILITY_INLINES_HIDDEN YES
		)
	ENDIF ()

	TARGET_INCLUDE_DIRECTORIES (${PROJECT_NAME}
		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
		       "$<BUILD_INTERFACE:${CARES_TOPLEVEL_DIR}/include>"
		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
	)

	TARGET_COMPILE_DEFINITIONS (${PROJECT_NAME} PRIVATE HAVE_CONFIG_H=1 CARES_BUILDING_LIBRARY)

	TARGET_LINK_LIBRARIES (${PROJECT_NAME}
		PUBLIC ${CARES_DEPENDENT_LIBS}
		PRIVATE ${CMAKE_THREAD_LIBS_INIT}
	)

	IF (CARES_INSTALL)
		INSTALL (TARGETS ${PROJECT_NAME}
			EXPORT ${PROJECT_NAME}-targets
			COMPONENT Library
			${TARGETS_INST_DEST}
		)
		INSTALL(FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/cares.pdb
			DESTINATION ${CMAKE_INSTALL_BINDIR}
			COMPONENT Library
			OPTIONAL
		)
	ENDIF ()
	SET (STATIC_SUFFIX "_static")

	# For chain building: add alias targets that look like import libs that would be returned by find_package(c-ares).
	ADD_LIBRARY (${PROJECT_NAME}::cares_shared ALIAS ${PROJECT_NAME})
	ADD_LIBRARY (${PROJECT_NAME}::cares        ALIAS ${PROJECT_NAME})
ENDIF ()

# Build the static library
IF (CARES_STATIC)
	SET (LIBNAME ${PROJECT_NAME}${STATIC_SUFFIX})

	ADD_LIBRARY (${LIBNAME} STATIC ${CSOURCES})

	SET_TARGET_PROPERTIES (${LIBNAME} PROPERTIES
		EXPORT_NAME                  cares${STATIC_SUFFIX}
		OUTPUT_NAME                  cares${STATIC_SUFFIX}
		COMPILE_PDB_NAME             cares${STATIC_SUFFIX}
		COMPILE_PDB_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
		C_STANDARD                   90
	)

	IF (CARES_STATIC_PIC)
		SET_TARGET_PROPERTIES (${LIBNAME} PROPERTIES POSITION_INDEPENDENT_CODE True)
	ENDIF ()

	TARGET_INCLUDE_DIRECTORIES (${LIBNAME}
		PUBLIC "$<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>"
		       "$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>"
		       "$<BUILD_INTERFACE:${CARES_TOPLEVEL_DIR}/include>"
		       "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
		PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}"
	)

	TARGET_COMPILE_DEFINITIONS (${LIBNAME} PRIVATE HAVE_CONFIG_H=1 CARES_BUILDING_LIBRARY)

	# Only matters on Windows
	IF (WIN32 OR CYGWIN)
		TARGET_COMPILE_DEFINITIONS (${LIBNAME} PUBLIC CARES_STATICLIB)
	ENDIF()

	TARGET_LINK_LIBRARIES (${LIBNAME} PUBLIC ${CARES_DEPENDENT_LIBS})
	IF (CARES_INSTALL)
		INSTALL (TARGETS ${LIBNAME} EXPORT ${PROJECT_NAME}-targets COMPONENT Devel
			${TARGETS_INST_DEST}
		)
		INSTALL(FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/cares${STATIC_SUFFIX}.pdb
			DESTINATION ${CMAKE_INSTALL_BINDIR}
			COMPONENT Library
			OPTIONAL
		)
	ENDIF ()

	# For chain building: add alias targets that look like import libs that would be returned by find_package(c-ares).
	ADD_LIBRARY (${PROJECT_NAME}::cares_static ALIAS ${LIBNAME})
	IF (NOT TARGET ${PROJECT_NAME}::cares)
		# Only use static for the generic alias if shared lib wasn't built.
		ADD_LIBRARY (${PROJECT_NAME}::cares ALIAS ${LIBNAME})
	ENDIF ()
ENDIF ()

## c-ares 1.6.0-1%2b0m5

=== debian/control ===
Source: c-ares
Priority: extra
Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
Build-Depends: debhelper (>= 4), autotools-dev
Standards-Version: 3.8.0
Section: libs

Package: libares-dev
Section: libdevel
Architecture: any
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif




# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp
build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	
	dh_install --sourcedir=debian/tmp


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGES
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## c-ares 1.6.0-1+0m5

=== debian/changelog ===
c-ares (1.6.0-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 03 Apr 2009 14:06:25 +0300

c-ares (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 03 Mar 2009 12:09:50 +0200

## c-ares 1.7.3

=== debian/changelog ===
c-ares (1.7.3-1squeeze1) stable; urgency=low

  * Fix ares_expand_name bug (Closes: #607438)

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 04 Nov 2011 15:33:10 +0100

c-ares (1.7.3-1) unstable; urgency=low

  [ Gregor Jasny ]
  * Imported Upstream version 1.7.3
  * Add ares_parse_mx_reply symbol

 -- Andreas Schuldei <andreas@debian.org>  Fri, 11 Jun 2010 18:33:50 +0200

c-ares (1.7.1-0) unstable; urgency=low

  [ Gregor Jasny ]
  * Remove quilt dir
  * Imported Upstream version 1.7.0
  * Bump standards to v3.8.3 (no changes needed)
  * Hide private symbols and add Debian symbols file
  * Use separate build dir
  * Tightened debhelper dependency
  * Revert "Use separate build dir"
  * Imported Upstream version 1.7.1
  * Add new ares_{get,set}_servers symbols
  * Bump standards to v3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Andreas Schuldei <andreas@debian.org>  Fri, 30 Apr 2010 21:27:20 +0200

c-ares (1.6.0-2) unstable; urgency=low

  [ Gregor Jasny ]
  * Add git-buildpackage config
  * Imported Upstream version 1.6.0
  * New Upstream Version 1.6.0
  * Removed no_maxhostnamelen patch
  * Add Vcs-* fields to control file
  * Make package binNMUable (lintian: not-binnmuable-any-depends-any)
  * Add watch file (lintian: debian-watch-file-is-missing)
  * Updated standards to 3.8.1 (no changes needed)
  * Remove duplicate section (lintian: binary-control-field-duplicates-
    source)
  * Use debhelper 7 and its tiny rules script
  * Use copyright sign instead of (c) to make lintian happy
  * Add some words to the -dev package (lintian: duplicate-short-
    description)

 -- Andreas Schuldei <andreas@debian.org>  Mon, 25 May 2009 13:23:43 +0200

c-ares (1.5.2-4) unstable; urgency=low

  * fixing linitan warnings: standards versions, clean target in rules
  * fix memory leak in MAXHOSTNAMELEN patch

 -- Andreas Schuldei <andreas@jesaja.schuldei.org>  Mon, 30 Jun 2008 16:33:20 +0200

c-ares (1.5.2-3) unstable; urgency=low

  * remove the need to have MAXHOSTNAMELEN, to make hurd build

 -- Andreas Schuldei <andreas@debian.org>  Sun, 29 Jun 2008 01:55:35 +0200

c-ares (1.5.2-2) unstable; urgency=low

  * file conflicts (Closes: #484574)

 -- Andreas Schuldei <andreas@debian.org>  Thu, 05 Jun 2008 10:00:56 +0200

c-ares (1.5.2-1) unstable; urgency=low

  * missing copyright information in debian/copyright (Closes: #484517)

 -- Andreas Schuldei <andreas@debian.org>  Wed, 04 Jun 2008 20:22:59 +0200

c-ares (1.5.2-0) unstable; urgency=low

  * new upstream release: 1.5.2
  * Conflict with libcares2 (Closes: #478588)
  * libc-ares1 contains libcares.2.so (Closes: #480589)

 -- Andreas Schuldei <andreas@debian.org>  Sat, 31 May 2008 01:08:35 +0200

c-ares (1.5.1-0) unstable; urgency=low

  * new upstream release: 1.5.1
  * file conflicts between packages (Closes: #451343)
  * switch to pkgconfig, disable .la

 -- Andreas Schuldei <andreas@debian.org>  Mon, 26 Nov 2007 14:09:46 +0100

c-ares (1.4.0-1) unstable; urgency=low

  * Initial release (Closes: #359794) packaging c-ares 

 -- Andreas Schuldei <andreas@debian.org>  Sat, 21 Jul 2007 17:44:06 +0200

=== debian/control ===
Source: c-ares
Priority: extra
Maintainer: Andreas Schuldei <andreas@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.8.4
Section: libs
Vcs-Browser: http://git.debian.org/?p=collab-maint/c-ares.git
Vcs-Git: git://git.debian.org/git/collab-maint/c-ares.git
Homepage: http://daniel.haxx.se/projects/c-ares


Package: libc-ares-dev
Section: libdevel
Architecture: any
Conflicts: libares-dev
Depends: libc-ares2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: library for asyncronous name resolves (development files)
 c-ares is a C library that performs DNS requests 
 and name resolves asynchronously. 
 .
 c-ares is a fork of the library named 'ares'
 .
 additionally it features 
  * IPv6 support
  * Extended cross platform portability
  * 64bit cleaned sources
 .
 This package contains development files (headers and static libraries).

Package: libc-ares2
Conflicts: libcares2
Architecture: any
Replaces: libc-ares1
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for asyncronous name resolves
 c-ares is a C library that performs DNS requests 
 and name resolves asynchronously. 
 .
 c-ares is a fork of the library named 'ares'
 .
 additionally it features 
  * IPv6 support
  * Extended cross platform portability
  * 64bit cleaned sources

=== debian/rules ===
#!/usr/bin/make -f

#build:
#	dh $@ --before configure
#	./waf --nocache configure --prefix=/usr
#	dh $@ --after configure

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-symbol-hiding

=== debian/watch ===
version=3

http://c-ares.haxx.se/ c-ares-([\d\.]*).tar.gz

## c-ares 1.7.4

=== debian/changelog ===
c-ares (1.7.4-1) unstable; urgency=low

  [ Gregor Jasny ]
  * Imported Upstream version 1.7.4
  * Fix typo in package description (Closes: #600309)
  * Bump standards to v3.9.1 (no changes needed)
  * Unapply patches after build
  * Add new symbols

  [ Andreas Schuldei ]
  * added Gregor Jasny as uploader

 -- Andreas Schuldei <andreas@debian.org>  Thu, 03 Mar 2011 21:48:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: c-ares
 Priority: extra
 Maintainer: Andreas Schuldei <andreas@debian.org>
+Uploader: Gregor Jasny <gjasny@googlemail.com>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Section: libs
 Vcs-Browser: http://git.debian.org/?p=collab-maint/c-ares.git
 Vcs-Git: git://git.debian.org/git/collab-maint/c-ares.git
@@ -16,7 +18,7 @@
 Depends: libc-ares2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
-Description: library for asyncronous name resolves (development files)
+Description: library for asynchronous name resolves (development files)
  c-ares is a C library that performs DNS requests 
  and name resolves asynchronously. 
  .

## c-ares 1.7.5

=== debian/changelog ===
c-ares (1.7.5-1ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible execution via hostname
    with an escaped trailing dot (LP: #1629085)
    - debian/patches/CVE-2016-5180.patch: properly handle escaped dot in
      ares_mkquery.c.
    - CVE-2016-5180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Oct 2016 10:23:45 -0400

c-ares (1.7.5-1) unstable; urgency=low

  * Imported Upstream version 1.7.5
  * Update watch file location
  * Fix typo in Uploaders field
  * Update SCM Browser URL
  * Convert to Multiarch
  * Bump standards to v3.9.2 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 21 Aug 2011 15:19:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: c-ares
 Priority: extra
-Maintainer: Andreas Schuldei <andreas@debian.org>
-Uploader: Gregor Jasny <gjasny@googlemail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Schuldei <andreas@debian.org>
+Uploaders: Gregor Jasny <gjasny@googlemail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.1.3~), autotools-dev
+Standards-Version: 3.9.2
 Section: libs
-Vcs-Browser: http://git.debian.org/?p=collab-maint/c-ares.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
 Vcs-Git: git://git.debian.org/git/collab-maint/c-ares.git
 Homepage: http://daniel.haxx.se/projects/c-ares
 
@@ -36,6 +37,8 @@
 Architecture: any
 Replaces: libc-ares1
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: library for asyncronous name resolves
  c-ares is a C library that performs DNS requests 
  and name resolves asynchronously.

## c-ares 1.9.1

=== debian/changelog ===
c-ares (1.9.1-3) unstable; urgency=low

  * Moved ares_build.h to arch dependent include dir (Closes: #678996)

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 25 Jun 2012 19:37:00 +0200

c-ares (1.9.1-2) unstable; urgency=low

  * Remove ares_free_soa declaration from ares.h

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 19 Jun 2012 09:43:09 +0200

c-ares (1.9.1-1) unstable; urgency=low

  * Imported Upstream version 1.9.1
  * Update homepage field (Closes: #674406)
  * Mark dev package as Multi-Arch: same

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 18 Jun 2012 23:06:40 +0200

c-ares (1.8.0-1) unstable; urgency=low

  * Imported Upstream version 1.8.0
  * Fix typo in package description (Closes: #638923)
  * Bump standards to v3.9.3 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 10 May 2012 21:46:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: c-ares
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Schuldei <andreas@debian.org>
+Maintainer: Andreas Schuldei <andreas@debian.org>
 Uploaders: Gregor Jasny <gjasny@googlemail.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 8.1.3~), autotools-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
 Vcs-Git: git://git.debian.org/git/collab-maint/c-ares.git
-Homepage: http://daniel.haxx.se/projects/c-ares
+Homepage: http://c-ares.haxx.se/
 
 
 Package: libc-ares-dev
@@ -19,6 +18,7 @@
 Depends: libc-ares2 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: library for asynchronous name resolves (development files)
  c-ares is a C library that performs DNS requests 
  and name resolves asynchronously. 
@@ -39,7 +39,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
-Description: library for asyncronous name resolves
+Description: library for asynchronous name resolves
  c-ares is a C library that performs DNS requests 
  and name resolves asynchronously. 
  .

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-symbol-hiding

override_dh_auto_install:
	dh_auto_install --
	mkdir debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/include/ares_build.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/

## c-ares 1.10.0

=== debian/changelog ===
c-ares (1.10.0-3ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: NAPTR parser out of bounds access
    - debian/patches/CVE-2017-1000381.patch: check for sufficient data in
      ares_parse_naptr_reply.c.
    - CVE-2017-1000381

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Jun 2017 08:13:21 -0400

c-ares (1.10.0-3ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible execution via hostname
    with an escaped trailing dot (LP: #1629085)
    - debian/patches/CVE-2016-5180.patch: properly handle escaped dot in
      ares_create_query.c.
    - CVE-2016-5180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Oct 2016 10:15:11 -0400

c-ares (1.10.0-3) unstable; urgency=low

  [ James McCoy ]
  * Move debian/upstream to debian/upstream/metadata

  [ Gregor Jasny ]
  * Bump standards to 3.9.4 (no changes needed)
  * Add missing man pages (Closes: #811241)

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 23 Jan 2016 22:22:32 +0100

c-ares (1.10.0-2) unstable; urgency=low

  * Bump standards to v3.9.4 (no changes needed)
  * Canonicalize Git VCS URL
  * Prevent autoconf from mangling passed cflags
  * Depend on debhelper 9

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 16 Jun 2013 13:38:58 +0200

c-ares (1.10.0-1) unstable; urgency=low

  * Imported Upstream version 1.10.0
  * Add Upstream Metadata
  * Fix package description (Closes: #680640)
  * Dropped deprecated DM-Upload-Allowed flag
  * Remove patches that were applied upstream
  * Add new 1.10.0 symbols

 -- Gregor Jasny <gjasny@googlemail.com>  Tue, 14 May 2013 22:19:12 +0200

=== debian/control ===
Source: c-ares
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Schuldei <andreas@debian.org>
Uploaders: Gregor Jasny <gjasny@googlemail.com>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
Standards-Version: 3.9.6
Section: libs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
Vcs-Git: git://anonscm.debian.org/collab-maint/c-ares.git
Homepage: http://c-ares.haxx.se/


Package: libc-ares-dev
Section: libdevel
Architecture: any
Conflicts: libares-dev
Depends: libc-ares2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: asynchronous name resolver - development files
 c-ares is a C library that performs DNS requests and name resolution
 asynchronously.
 .
 It is a fork of the library named "ares", with additional features:
  * IPv6 support;
  * extended cross-platform portability;
  * 64-bit clean sources.
 .
 This package contains development files (headers and static libraries).

Package: libc-ares2
Conflicts: libcares2
Architecture: any
Replaces: libc-ares1
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: asynchronous name resolver
 c-ares is a C library that performs DNS requests and name resolution
 asynchronously.
 .
 It is a fork of the library named "ares", with additional features:
  * IPv6 support;
  * extended cross-platform portability;
  * 64-bit clean sources.
 .
 This package provides the shared libraries.

=== debian/watch ===
version=3

http://c-ares.haxx.se/download/ c-ares-([\d\.]*).tar.gz

## c-ares 1.11.0

=== debian/changelog ===
c-ares (1.11.0-1ubuntu0.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: denial of service and possible execution via hostname
    with an escaped trailing dot (LP: #1629085)
    - debian/patches/CVE-2016-5180.patch: properly handle escaped dot in
      ares_create_query.c.
    - CVE-2016-5180

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Oct 2016 10:08:23 -0400

c-ares (1.11.0-1) unstable; urgency=low

  * Imported Upstream version 1.11.0
  * Change VCS information to https protocol
  * Updated watch file
  * Bump standards to 3.9.7 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 21 Feb 2016 15:46:29 +0100

c-ares (1.11.0~rc1-1) experimental; urgency=medium

  * Imported Upstream release snapshot

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 12 Feb 2016 21:14:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 XSBC-Original-Maintainer: Andreas Schuldei <andreas@debian.org>
 Uploaders: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: libs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/c-ares.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/c-ares.git
 Homepage: http://c-ares.haxx.se/

## c-ares 1.12.0

=== debian/changelog ===
c-ares (1.12.0-1+deb9u1) stretch; urgency=medium

  * Add patch for CVE-2017-1000381 (Closes: #865360)

 -- Gregor Jasny <gjasny@googlemail.com>  Mon, 26 Jun 2017 22:00:03 +0200

c-ares (1.12.0-1) unstable; urgency=high

  [ Daniel Stenberg ]
  * bump: start working on the next version
  * AUTHORS: added contributors from the 1.11.0 release
  * configure: acknowledge --disable-tests

  [ Gregor Jasny ]
  * Fix man page typos detected by Lintian

  [ David Drysdale ]
  * test: add missing #includes for dns-proto.cc
  * test: avoid in6addr_* constants
  * test: Build with MinGW on AppVeyor

  [ Viktor Szakats ]
  * Makefile.m32: add support for extra flags
  * Makefile.m32: add support for CROSSPREFIX

  [ Brad House ]
  * configure: check if tests can get built before enabled

  [ David Drysdale ]
  * ares_library_cleanup: reset ares_realloc too
  * ahost.c: add cast to fix C++ compile
  * test: Only pass unused args to GoogleTest
  * test: Use different name in live test
  * build: commonize MSVC version detection

  [ Chris Araman ]
  * msvc_ver.inc: support Visual Studio 2015 Update 1

  [ David Drysdale ]
  * test: for AF_UNSPEC, return CNAME only for AAAA, but valid A record
  * Explicitly clear struct servent before use
  * test: Update fuzzing function prototype
  * test: Check setting nsort=0 option is respected

  [ nordsturm ]
  * Fix nsort initialization

  [ David Drysdale ]
  * test: Add utility to show DNS packet from file
  * test: Add corpus of DNS packets
  * test: allow multiple files in aresfuzz command line
  * test: add fuzzing check script to tests
  * test: Run fuzzcheck.sh in Travis build

  [ svante karlsson ]
  * Update msvc_ver.inc

  [ David Drysdale ]
  * test: drop superfluous fuzz inputs

  [ Daniel Stenberg ]
  * email: use Gisle's "new" address

  [ David Drysdale ]
  * Fix trailing comment for #endif

  [ Chris Araman ]
  * Update msvc_ver.inc

  [ Daniel Stenberg ]
  * web: http => https
  * read_tcp_data: remove superfluous NULL check

  [ David Drysdale ]
  * test: disable MinGW tests
  * test: simplify deps for fuzzer entrypoint
  * test: fuzzer mode for AFL's persistent mode
  * test: make fuzzer driver code C not C++
  * test: more info on how to run fuzz testing
  * test: Add Clang static analysis build to Travis

  [ Daniel Stenberg ]
  * SECURITY.md: suggested "security process" for the project
  * README: added "CII best practices" badge
  * LICENSE.md: add a stand-alone license file
  * AUTHORS: added contributors from the git log
  * AUTHOR: maybe gitgub isn't really an author =)

  [ David Drysdale ]
  * test: Add null pointer to gtest args
  * test: Add valgrind build variant
  * test: Force reinstall of libtool on OSX
  * ares_init_options: only propagate init failures from options
  * api: add ARES_OPT_NOROTATE optmask value

  [ Brad House ]
  * headers: remove checks for and defines of variable sizes

  [ David Drysdale ]
  * test: fix gMock to work with gcc >= 6.x

  [ Daniel Stenberg ]
  * ares_create_query.3: edit language
  * RELEASE-NOTES: synced with daa7235b1a5
  * SECURITY: point to the vulnerabilities page now
  * ares_init.3: split the init docs into two separate man pages
  * ares_destroy.3: formatting polish
  * docs: minor formatting edits
  * README: link to the correct c-ares badge!
  * README.md: remove space from link
  * ares_library_init.3: corrected the ares_library_init_mem proto

  [ David Drysdale ]
  * man: update ares_init_options.3

  [ Daniel Stenberg ]
  * make: bump CARES_VERSION_INFO for release
  * ares_library_initialized.3: added
  * ares_create_query: avoid single-byte buffer overwrite

  [ David Drysdale ]
  * ares-test-misc: test ares_create_query with escaped trailing dot

  [ Daniel Stenberg ]
  * RELEASE-NOTES: 1.12.0

  [ Gregor Jasny ]
  * Import c-ares 1.12.0 (Closes: #839151)
  * Bump standards to 3.9.8 (no changes needed)
  * Stop moving ares_build.h to multiarch include path

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 29 Sep 2016 18:19:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: c-ares
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Schuldei <andreas@debian.org>
+Maintainer: Andreas Schuldei <andreas@debian.org>
 Uploaders: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: libs
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/c-ares.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --enable-symbol-hiding

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" http://c-ares.haxx.se/ download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## c-ares 1.13.0

=== debian/changelog ===
c-ares (1.13.0-2) unstable; urgency=medium

  * ares_parse_naptr_reply: make buffer length check more accurate

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 16 Jul 2017 19:12:12 +0200

c-ares (1.13.0-1) unstable; urgency=medium

  * Imported Upstream version 1.13.0
  * Bump standards to 4.0.0 (no changes needed)

 -- Gregor Jasny <gjasny@googlemail.com>  Wed, 28 Jun 2017 22:52:31 +0200

c-ares (1.12.0-4) unstable; urgency=high

  * Add patch for CVE-2017-1000381 (Closes: #865360)

 -- Gregor Jasny <gjasny@googlemail.com>  Sun, 25 Jun 2017 22:53:15 +0200

c-ares (1.12.0-2) unstable; urgency=medium

  * Add myself as maintainer (Closes: #861697)

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 04 May 2017 20:29:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: c-ares
 Priority: extra
-Maintainer: Andreas Schuldei <andreas@debian.org>
-Uploaders: Gregor Jasny <gjasny@googlemail.com>
+Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Section: libs
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/c-ares.git
-Homepage: http://c-ares.haxx.se/
+Homepage: https://c-ares.haxx.se/
 
 
 Package: libc-ares-dev

## c-ares 1.14.0

=== debian/changelog ===
c-ares (1.14.0-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in config_sortlist()
    - debian/patches/CVE-2022-4904.patch: add length checks to ares_init.c,
      test/ares-test-init.cc.
    - CVE-2022-4904

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Mar 2023 12:22:47 -0500

c-ares (1.14.0-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Missing input validation on hostnames returned by DNS
    servers
    - debian/patches/CVE-2021-3672-1.patch: escape more characters in
      ares_expand_name.c.
    - debian/patches/CVE-2021-3672-2.patch: fix formatting and handling of
      root name response in ares_expand_name.c.
    - CVE-2021-3672

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 02 Aug 2021 07:31:14 -0400

c-ares (1.14.0-1) unstable; urgency=low

  * Imported Upstream version 1.14.0
  * Update upstream signature key
  * Remove already applied patches

 -- Gregor Jasny <gjasny@googlemail.com>  Fri, 16 Feb 2018 20:40:22 +0100

c-ares (1.13.0-3) unstable; urgency=low

  * Bumped standards to version 4.1.3 (adjusted priority)
  * Enable bindnow hardening flag

 -- Gregor Jasny <gjasny@googlemail.com>  Sat, 30 Dec 2017 15:11:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: c-ares
-Priority: extra
-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: libs
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/c-ares.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/c-ares.git
+Vcs-Browser: https://salsa.debian.org/debian/c-ares
+Vcs-Git: https://salsa.debian.org/debian/c-ares.git
 Homepage: https://c-ares.haxx.se/

## c-ares 1.14.0.1

=== debian/changelog ===
c-ares (1.14.0.1-1) unstable; urgency=medium

  * update

 -- Gregor Jasny <gjasny@googlemail.com>  Thu, 23 Sep 2021 10:41:48 +0800

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" https://c-ares.haxx.se/ download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## c-ares 1.14.0.2

=== debian/changelog ===
c-ares (1.14.0.2-deepin1) unstable; urgency=medium

  * fix CVE-2022-4904

 -- zengwei <zengwei1@uniontech.com>  Mon, 20 Feb 2023 18:04:41 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: c-ares
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gregor Jasny <gjasny@googlemail.com>
+Maintainer: Gregor Jasny <gjasny@googlemail.com>
 Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
 Standards-Version: 4.1.3
 Section: libs
